# Uses of Class
org.eclipse.swt.widgets.Table

Packages that use Table
Package
Description
org.eclipse.swt.custom
org.eclipse.swt.widgets

## Uses of Table in org.eclipse.swt.custom

Constructors in org.eclipse.swt.custom with parameters of type Table
Modifier
Constructor
Description
``
`TableEditor(Table table)`
Creates a TableEditor for the specified Table.

## Uses of Table in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Table
Modifier and Type
Method
Description
`Table`
TableColumn.`getParent()`
Returns the receiver's parent, which must be a `Table`.
`Table`
TableItem.`getParent()`
Returns the receiver's parent, which must be a `Table`.
Constructors in org.eclipse.swt.widgets with parameters of type Table
Modifier
Constructor
Description
``
`TableColumn(Table parent, int style)`
Constructs a new instance of this class given its parent (which must be a `Table`) and a style value describing its behavior and appearance.
``
`TableColumn(Table parent, int style, int index)`
Constructs a new instance of this class given its parent (which must be a `Table`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.
``
`TableItem(Table parent, int style)`
Constructs a new instance of this class given its parent (which must be a `Table`) and a style value describing its behavior and appearance.
``
`TableItem(Table parent, int style, int index)`
Constructs a new instance of this class given its parent (which must be a `Table`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.